claw::console_logger Class Reference

This class write log messages in std::clog. More...

`#include <log_stream.hpp>`

Inheritance diagram for claw::console_logger:

## Public Member Functions

virtual void | write (const std::string &str)
| Write a string in the stream.
virtual void | flush ()
| Flush the stream.
Public Member Functions inherited from claw::log_stream
virtual | ~log_stream ()
| Destructor.
Public Member Functions inherited from claw::pattern::non_copyable
| non_copyable ()
| Default constructor.

## Detailed Description

This class write log messages in std::clog.

Author
  Julien Jorge

Definition at line 71 of file log_stream.hpp.

## Member Function Documentation

## flush()

void claw::console_logger::flush | ( |  | ) |

virtual

Flush the stream.

Reimplemented from claw::log_stream.

Definition at line 67 of file log_stream.cpp.

## write()

void claw::console_logger::write | ( | const std::string & | str | ) |

virtual

Write a string in the stream.

Implements claw::log_stream.

Definition at line 58 of file log_stream.cpp.

The documentation for this class was generated from the following files:

- log_stream.hpp
- code/log_stream.cpp